#if 0
#include </home/kwanon/project/page/sw/include/assert.h>
#endif

/* convert DMA virtual address to physical
 * changes an address in the user's space into a Page+ physical memory address
 * for the DMA controller.
 */
static inline long DMA_virtual2physical(
    void *virtual	/* virtual address in user's process space */)
{
    /* NULL == 0 in both physical & virtual */
    if (virtual)
    {
	/* make sure the address is in range. */
	ASSERT(DMA_virtual_valid(virtual),
	       "DMA_virtual2physical: virtual address out of DMA-able range");
    }
    else
	return 0;
}
